/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, IEqualityComparer$1_$type, markType } from "igniteui-angular-core";
import { HighlightingInfo } from "./HighlightingInfo";
/**
 * @hidden
 */
export let HighlightingInfoComparer = /*@__PURE__*/ (() => {
    class HighlightingInfoComparer extends Base {
        equalsC(a, b) {
            if (a == null && b != null) {
                return false;
            }
            if (a != null && b == null) {
                return false;
            }
            return a.e == b.e && a.h == b.h && a.g == b.g && a.b == b.b;
        }
        getHashCodeC(a) {
            let b = 23;
            b = b * 31 + (a.e ? 1 : 0);
            b = b * 31 + a.h;
            b = b * 31 + a.g;
            b = b * 31 + (a.b != null ? Base.getHashCodeStatic(a.b) : 0);
            return b;
        }
    }
    HighlightingInfoComparer.$t = markType(HighlightingInfoComparer, 'HighlightingInfoComparer', Base.$, [IEqualityComparer$1_$type.specialize(HighlightingInfo.$)]);
    return HighlightingInfoComparer;
})();
